Backup failing

Discussion in 'General' started by SpeAroX94, Apr 8, 2021.

  1. SpeAroX94

    SpeAroX94 New Member

    Hi all,
    There is a multiserver setup the s1 works fine and do/delete backups. The s2 get this error and do not do/delete backups.
    If i delete every backup from db then works fine but if the rotation is come its failed. :/ Someone can help me with that?
    Code:
    Thu 08 Apr 2021 12:19:05 AM CEST PHP Fatal error:  Uncaught Error: Call to a member function get() on bool in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php:397
    Thu 08 Apr 2021 12:19:05 AM CEST Stack trace:
    Thu 08 Apr 2021 12:19:05 AM CEST #0 /usr/local/ispconfig/server/lib/classes/backup.inc.php(777): db->queryAllRecords('DELETE FROM web...', true, Array)
    Thu 08 Apr 2021 12:19:05 AM CEST #1 /usr/local/ispconfig/server/lib/classes/backup.inc.php(1491): backup::backups_garbage_collection(4)
    Thu 08 Apr 2021 12:19:05 AM CEST #2 /usr/local/ispconfig/server/lib/classes/cron.d/500-backup.inc.php(54): backup::run_all_backups(4, 'auto')
    Thu 08 Apr 2021 12:19:05 AM CEST #3 /usr/local/ispconfig/server/lib/classes/cronjob.inc.php(87): cronjob_backup->onRunJob()
    Thu 08 Apr 2021 12:19:05 AM CEST #4 /usr/local/ispconfig/server/cron.php(116): cronjob->run()
    Thu 08 Apr 2021 12:19:05 AM CEST #5 {main}
    Thu 08 Apr 2021 12:19:05 AM CEST thrown in /usr/local/ispconfig/server/lib/classes/db_mysql.inc.php on line 397
    Thanks!
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Which ISPConfig version?
     
  3. SpeAroX94

    SpeAroX94 New Member

  4. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

  5. SpeAroX94

    SpeAroX94 New Member

    Both server with same version and php version as default. Debian 10 - PHP 7.3
     
  6. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Are both servers on ISPConfig 3.2.3?
     
  7. SpeAroX94

    SpeAroX94 New Member

    Yes.
     
  8. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Have you installed all PHP modules on s2, as described in the perfect server guide?
    What's the output of
    Code:
    apt-get install php7.3 php7.3-cli php7.3-cgi php7.3-fpm php7.3-gd php7.3-mysql php7.3-imap php7.3-curl php7.3-intl php7.3-pspell php7.3-recode php7.3-sqlite3 php7.3-tidy php7.3-xmlrpc php7.3-xsl php7.3-zip php7.3-mbstring php7.3-soap php7.3-opcache php7.3-common php7.3-json php7.3-readline php7.3-xml
     
  9. SpeAroX94

    SpeAroX94 New Member

    Full the same as s1.

    Code:
    [email protected]:~# apt-get install php7.3 php7.3-cli php7.3-cgi php7.3-fpm php7.3-gd php7.3-mysql php7.3-imap php7.3-curl php7.3-intl php7.3-pspell php7.3-recode php7.3-sqlite3 php7.3-tidy php7.3-xmlrpc php7.3-xsl php7.3-zip php7.3-mbstring php7.3-soap php7.3-opcache php7.3-common php7.3-json php7.3-readline php7.3-xml
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    php7.3 is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-cgi is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-cli is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-common is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-curl is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-fpm is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-gd is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-imap is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-intl is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-json is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-json set to manually installed.
    php7.3-mbstring is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-mysql is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-opcache is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-pspell is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-readline is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-readline set to manually installed.
    php7.3-recode is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-soap is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-sqlite3 is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-tidy is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-xml is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-xmlrpc is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-xsl is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    php7.3-zip is already the newest version (7.3.27-9+0~20210227.82+debian10~1.gbpa4a3d6).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
     
  10. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    What is the output of
    Code:
    ls -la /etc/alternatives/*ph*
     
  11. SpeAroX94

    SpeAroX94 New Member

    Same as s1.
    Code:
    [email protected]:~# ls -la /etc/alternatives/*ph*
    lrwxrwxrwx 1 root root 21 May 13  2020 /etc/alternatives/phar -> /usr/bin/phar.default
    lrwxrwxrwx 1 root root 37 May 13  2020 /etc/alternatives/phar.1.gz -> /usr/share/man/man1/phar.default.1.gz
    lrwxrwxrwx 1 root root 26 May 13  2020 /etc/alternatives/phar.phar -> /usr/bin/phar.phar.default
    lrwxrwxrwx 1 root root 42 May 13  2020 /etc/alternatives/phar.phar.1.gz -> /usr/share/man/man1/phar.phar.default.1.gz
    lrwxrwxrwx 1 root root 15 Feb  4  2020 /etc/alternatives/php -> /usr/bin/php7.3
    lrwxrwxrwx 1 root root 31 Feb  4  2020 /etc/alternatives/php.1.gz -> /usr/share/man/man1/php7.3.1.gz
    lrwxrwxrwx 1 root root 19 Feb  4  2020 /etc/alternatives/php-cgi -> /usr/bin/php-cgi7.3
    lrwxrwxrwx 1 root root 35 Feb  4  2020 /etc/alternatives/php-cgi.1.gz -> /usr/share/man/man1/php-cgi7.3.1.gz
    lrwxrwxrwx 1 root root 28 May 13  2020 /etc/alternatives/php-cgi-bin -> /usr/lib/cgi-bin/php.default
    lrwxrwxrwx 1 root root 24 Feb  6 11:01 /etc/alternatives/php-fpm.sock -> /run/php/php8.0-fpm.sock
     
  12. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    I'm afraid it won't resolve your current problem, but the default for php-fpm should be PHP 7.3
    Code:
    update-alternatives --set php-fpm.sock /run/php/php7.3-fpm.sock
     
  13. SpeAroX94

    SpeAroX94 New Member

    There is some way to test it without wait for backup time?
     
  14. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Yes, with
    Code:
    php /usr/local/ispconfig/server/cron_debug.php --cronjob=500-backup.inc.php
     
  15. SpeAroX94

    SpeAroX94 New Member

    Nothing changed, still getting error.
     
  16. Th0m

    Th0m ISPConfig Developer Staff Member ISPConfig Developer

    Can you check in the dbispconfig database what the "dbversion" column holds for both servers? (in the table "server")
     
  17. SpeAroX94

    SpeAroX94 New Member

    Both show 93.
     
  18. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    how are the servers setup, s1 is master and s2 is webserver slave, or they are mirrored servers, or ?
     
  19. SpeAroX94

    SpeAroX94 New Member

    Master - Slave. No mirror.
     

Share This Page